KConfigSkeleton::ItemString Class Reference

`#include <kconfigskeleton.h>`

Inheritance diagram for KConfigSkeleton::ItemString:

## Public Types

enum | Type { Normal, Password, Path }

## Public Member Functions

| ItemString (const QString &group, const QString &key, QString &reference, const QString &defaultValue=QString::fromLatin1(""), Type type=Normal)
void | writeConfig (KConfig *config)
void | readConfig (KConfig *config)
void | setProperty (const QVariant &p)
QVariant | property () const

## Detailed Description

Class for handling a string preferences item.

Definition at line 372 of file kconfigskeleton.h.

## Member Function Documentation

QVariant KConfigSkeleton::ItemString::property | ( |  | ) | const

virtual

Return item as property.

Implements KConfigSkeletonItem.

Definition at line 96 of file kconfigskeleton.cpp.

void KConfigSkeleton::ItemString::readConfig | ( | KConfig * |  | ) |

virtual

This function is called by KConfigSkeleton to read the value for this setting from a config file.

value.

Implements KConfigSkeletonItem.

Definition at line 67 of file kconfigskeleton.cpp.

void KConfigSkeleton::ItemString::setProperty | ( | const QVariant & | p | ) |

virtual

Set item to `p`.

Implements KConfigSkeletonItem.

Definition at line 91 of file kconfigskeleton.cpp.

void KConfigSkeleton::ItemString::writeConfig | ( | KConfig * |  | ) |

virtual

This function is called by KConfigSkeleton to write the value of this setting to a config file.

Implements KConfigSkeletonItem.

Definition at line 50 of file kconfigskeleton.cpp.

The documentation for this class was generated from the following files:

- kconfigskeleton.h
- kconfigskeleton.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys